@import url("https://fonts.googleapis.com/css2?family=Raleway&display=swap");

:root {
  --bg: #0a1a2a;
  --bg-glass: #1944702e;
  --bg-glass-2: #1f334a;
  --white: #fffeff;
  --white-dark: #dddcdd;
  --gray: #c8cacc;
  --line: #162737;
  --bg-size: 2px 100%;
  --it: red
}

*{
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  background-color: var(--bg);
  position: relative;
  height: fit-content;
  overflow-x: hidden;
  scroll-behavior: smooth;
}

.bg {
  background-image: linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line)),
    linear-gradient(var(--line), var(--line));
  background-size: var(--bg-size), var(--bg-size), var(--bg-size),
    var(--bg-size), var(--bg-size), var(--bg-size), var(--bg-size),
    var(--bg-size), var(--bg-size), var(--bg-size), var(--bg-size),
    var(--bg-size), var(--bg-size), var(--bg-size);
  background-position: 100px 0, 300px 0, 500px 0, 700px 0, 900px 0, 1100px 0,
    1300px 0, 1500px 0, 1700px 0, 1900px 0, 2100px 0, 2300px 0, 2500px 0,
    2700px 0, 2900px 0, 3100px 0;
  background-repeat: no-repeat;
  z-index: -50;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  height: 100%;
  min-height: 100vh;
  width: 100%;
  z-index: -50;
  background-clip: padding-box;
  background-attachment: fixed;
}

.biggest-container {
  z-index: 100;
  max-width: 3100px;
}

* {
  box-sizing: border-box;
  font-family: "Raleway", sans-serif;
}

nav {
  display: flex;
  z-index: 50;
  gap: 1rem;
}

.menu {
  display: flex;
  align-items: center;
  color: var(--gray);
  font-size: 2.4rem;
}

.names {
  width: 270px;
  position: relative;
  height: 100px;
  padding: 1rem;
}

.name {
  opacity: 0;
  position: absolute;
}

#text1,
#text2 {
  position: absolute;
  width: 100%;
  display: inline-block;
  font-family: "Raleway", sans-serif;
  user-select: none;
  letter-spacing: 1px;
}

.menu-bar {
  position: relative;
  display: flex;
  width: 50%;
}
.fa-solid {
  transition: all 0.5s linear;
}
.fa-solid.close,
.fa-solid.default {
  position: absolute;
  right: 1rem;
  top: -1rem;
  cursor: pointer;
  opacity: 0;
}

.fa-solid.default.active {
  opacity: 1;
}

.fa-solid.close.active {
  opacity: 1;
}

.nav-links {
  list-style: none;
  display: flex;
  justify-content: space-around;
  gap: 1rem;
  transition: all 1s linear;
  flex-wrap: wrap;
}

.nav-links a {
  text-decoration: none;
  text-transform: capitalize;
  color: var(--gray);
  font-size: 1.2rem;
}

.nav-links .envelope,
.fa-envelope {
  text-decoration: underline;
}

.nav-links a:active,
.nav-links a:hover {
  color: var(--white);
  font-weight: 600;
}

.nav-links li {
  transition: all 0.5s linear;
}

@media (min-width: 769px) {
  nav {
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
  }
  .menu {
    font-size: 3rem;
  }

  .menu-bar {
    display: none;
  }

  .nav-links {
    padding: 0;
    gap: 1.5rem;
    height: fit-content;
  }
  .nav-links.hide li {
    height: fit-content;
  }
}

@media (max-width: 768px) {
  nav {
    flex-direction: column;
  }
  .names {
    /* margin: auto; */
    height: 60px;
  }

  .nav-links {
    flex-direction: column;
    background-color: var(--bg-glass);
    padding-top: 1rem;
    padding-bottom: 1rem;
  }

  .nav-links.hide {
    gap: 0;
    height: 0;
    padding: 0;
  }

  .nav-links.hide li {
    height: 0;
    overflow-y: hidden;
    opacity: 0;
  }
}

@media (max-width: 480px) {
  .names {
    height: 50px;
  }
  #text1,
  #text2 {
    font-size: 1.7rem;
  }

  .nav-links a {
    text-transform: capitalize;
  }
}

.hero {
  color: var(--white);
  margin-top: 4rem;
  padding-left: 1rem;
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

.hero .first {
  display: flex;
  flex: 1;
  line-height: 3.5rem;
  font-weight: 400;
  flex-direction: column;
}
.hero p,
.classes p {
  line-height: 2rem;
  color: var(--white-dark);
  margin-top: 0;
}
.hero p a {
  color: var(--white-dark);
}

.hero .second {
  display: flex;
  justify-content: flex-end;
  justify-content: center;
  align-items: center;
  margin: auto;
}

.dash {
  width: 20px;
  height: 2px;
  display: inline-block;
  background-color: var(--white);
  vertical-align: middle;
}

.hero h1 {
  font-size: 2.5rem;
}

@media (max-width: 480px) {
  .hero h1 {
    font-size: 1.5rem;
  }
  .classes .classes-header {
    font-size: 1.4rem;
  }
  .hero .second {
    overflow-x: hidden;
  }
}

@media (min-width: 869px) {
  .hero .first,
  .classes .first,
  .my-work .first,
  .experience .first,
  .education .first,
  .certificate .first,
  .blog .first,
  .skill .first {
    margin-left: 4rem;
  }
}

#overlay {
  position: fixed;
  left: 10px;
  top: 70vh;
  z-index: 10;
  width: fit-content;
  padding: 2rem 1rem;
  cursor: move;
  background-color: var(--bg-glass-2);
}

.social-media {
  display: flex;
  gap: 1rem;
  flex-direction: column;
  z-index: 500;
}

.social-media a {
  color: white;
  text-decoration: none;
  font-size: 1.5rem;
}

.classes {
  display: flex;
  padding: 1rem;
}

.classes > * {
  flex: 1;
}

.classes .first .classes-header,
.my-work .first .my-work-header,
.experience .first .experience-header,
.education .first .education-header,
.certificate .first .certificate-header,
.blog .first .blog-header,
.skill .first .skill-header {
  color: var(--white);
  font-size: 2rem;
}

.classes .first .classes-header {
  color: var(--white);
  font-size: 2.4rem;
}

@media (max-width: 768px) {
  .classes {
    flex-direction: column;
  }

  .tutorial-videos {
    margin-top: 3rem;
    margin-right: 0;
    height: fit-content;
  }
}

.tutorial-videos,
.certificate .my-certificates {
  margin-top: 4rem;
  margin-right: 4rem;
  margin-left: 4rem;
  height: 80vh;
  overflow-y: auto;
}

@media (max-width: 480px) {
  .tutorial-videos,
  .certificate .my-certificates {
    margin-right: 0rem;
    margin-left: 0;
  }
}

.tutorial-videos > div {
  background-color: var(--bg-glass-2);
  padding: 1rem;
  margin-bottom: 1rem;
  font-size: 0.9rem;
  line-height: 1.4rem;
}

.tutorial-videos h3 {
  color: var(--white);
  font-size: 0.9rem;
  text-transform: uppercase;
}

.tutorial-videos p {
  line-height: 1.5rem;
}

.tutorial-videos a,
.view-more-link a {
  color: var(--white);
}

.view-more-link {
  margin-top: 1rem;
  margin-right: 4rem;
  margin-left: 4rem;
  font-size: 1.2rem;
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  justify-content: center;
  text-align: center;
}

.view-more-link a {
  background-color: var(--line);
  padding: 1rem;
  text-decoration: none;
  font-weight: 600;
}

.my-work,
.experience,
.education,
.certificate,
.blog,
.skill {
  padding: 1rem;
}

.my-work .second {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 5rem 2rem;
}

.single-work {
  color: var(--white-dark);
}

.single-work img {
  width: 100%;
}

.work-text {
  display: flex;
  margin: auto;
  justify-content: space-between;
  max-width: 257px;
  align-items: center;
}

.single-work p {
  margin: 0;
  font-weight: 600;
}

.single-work a {
  color: var(--white-dark);
}

.my-experiences,
.my-educations {
  display: flex;
  flex-direction: column;
  color: var(--white-dark);
}

.my-experiences .container,
.my-educations .container,
.certificate .my-certificates {
  display: flex;
  width: 100%;
  max-width: 1000px;
  margin: auto;
}

.certificate .my-certificates {
  flex-direction: column;
}

.my-experiences .container .container-left,
.my-educations .container .container-left {
  width: 250px;
  min-width: 250px;
  border-right: 1px solid var(--gray);
  padding-bottom: 3rem;
  position: relative;
}

@media (min-width: 769px) {
  .my-experiences .container .container-left::before,
  .my-educations .container .container-left::before {
    content: "";
    position: absolute;
    width: 15px;
    height: 15px;
    background-color: var(--gray);
    right: -8px;
    border-radius: 50px;
  }
}

.my-experiences .container .container-right,
.my-educations .container .container-right {
  display: flex;
  flex-direction: column;
  padding: 1rem;
  padding-bottom: 3rem;
  padding-left: 1.7rem;
}

.my-experiences h3,
.my-educations h3 {
  margin: 0;
  white-space: nowrap;
}

.my-experiences h3,
.my-experiences h4,
.my-educations h3,
.my-educations h4,
.certificate h4,
.my-blogs h3 {
  color: var(--white);
}

.my-educations h4 {
  white-space: wrap;
}

.my-experiences .container .container-right .link-container,
.my-educations .container .container-right .link-container {
  display: flex;
  gap: 0.5rem;
  font-size: 0.9rem;
}

.my-experiences a,
.my-educations a {
  color: var(--white-dark);
}

@media (max-width: 768px) {
  .my-experiences .container,
  .my-educations .container {
    flex-direction: column;
    margin-bottom: 3rem;
  }
  .my-experiences .container .container-left,
  .my-educations .container .container-left {
    border-right: none;
    padding-bottom: 0;
  }

  .my-experiences .container .container-right,
  .my-educations .container .container-right {
    border-bottom: 1px dotted;
    border-style: double;
    border-color: var(--bg-glass);
  }
}

.certificate .container {
  color: var(--white-dark);
  display: flex;
  gap: 0.5rem;
  margin: 1rem;
  background-color: var(--bg-glass);
  padding-left: 2rem;
}

.certificate .bolt-div i {
  font-size: 2.4rem;
  color: rgba(255, 255, 255, 0.459);
}

.certificate .container > * {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 2rem 1rem;
}

.cert-div h4 {
  text-transform: uppercase;
}

.certificate h4,
.certificate p,
.certificate a,
.my-blog a {
  margin: 0.5rem;
}

.certificate a,
.my-blog a {
  font-size: 0.9rem;
}

.certificate a,
.my-blog a {
  color: var(--white-dark);
}

.my-blogs {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1rem;
}

.my-blogs > * {
  background-color: var(--bg-glass-2);
  width: 100%;
  max-width: 500px;
  padding-bottom: 1rem;
}
.my-blogs h3,
.my-blogs .link-container {
  text-transform: uppercase;
  letter-spacing: 1px;
  padding: 0 3rem;
}
.my-blogs h3 {
  color: rgba(221, 221, 221, 0.788);
  font-size: 0.8rem;
}
.my-blogs .link-container {
  color: var(--white-dark);
  font-weight: 600;
}
.my-blogs .link-container a {
  color: var(--white-dark);
  margin-left: 0.6rem;
  text-decoration: none;
}

.my-blogs img {
  width: 100%;
  object-fit: cover;
  height: auto;
}

.loader,
.error {
  display: none;
  padding: 1rem;
}
.brands {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  justify-content: center;
  background-color: var(--bg-glass-2);
}

.worked-with {
  background-color: var(--white);
  height: fit-content;
  padding: 1rem;
  font-size: 1.5rem;
  position: absolute;
  bottom: -7rem;
  right: 0;
}

.skills {
  color: var(--white-dark);
  font-weight: 600;
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  margin: auto;
  max-width: 1000px;
}

.skills > * {
  background-color: var(--bg-glass-2);
  padding: 1rem;
  width: 150px;
}

footer {
  color: var(--white-dark);
  text-align: center;
}

/* Scroll bar custom styles */
::-webkit-scrollbar {
  width: 10px;
  height: 4px;
}

::-webkit-scrollbar-track {
  border-radius: 20px;
  background: #e5e4e4;
}

::-webkit-scrollbar-thumb {
  background: #9c9c9c;
  border-radius: 20px;
}

::-webkit-scrollbar-thumb:hover {
  color: #484848;
}

*:hover::-webkit-scrollbar {
  /* width: 100px; */
  height: 6px;
}
